Loading...
Searching...
No Matches
gx_engine::LV2Features Class Reference

`#include <gx_internal_plugins.h>`

## Public Member Functions

| LV2Features (LV2Features const &)=delete
void | operator= (LV2Features const &)=delete

## Static Public Member Functions

static LV2Features & | getInstance ()

## Static Public Attributes

static LV2_Feature * | gx_features []
static LV2_URID_Map | gx_urid_map
static LV2_URID_Unmap | gx_urid_unmap

## Private Member Functions

| LV2Features ()

## Static Private Member Functions

static LV2_URID | lv2_urid_map (LV2_URID_Map_Handle, const char *const uri_)
static uint32_t | lv2_uri_to_id (LV2_URI_Map_Callback_Data handle, const char *, const char *uri)
static const char * | lv2_urid_unmap (LV2_URID_Unmap_Handle, const LV2_URID urid)

## Static Private Attributes

static LV2_Options_Option | gx_options [2]
static LV2_Feature | gx_options_feature
static LV2_Feature | gx_urid_map_feature
static LV2_URI_Map_Feature | gx_uri_map
static LV2_Feature | gx_uri_map_feature
static LV2_Feature | gx_urid_unmap_feature

## Detailed Description

Definition at line 668 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## LV2Features() [1/2]

gx_engine::LV2Features::LV2Features | ( |  | ) |

inline private

Definition at line 686 of file gx_internal_plugins.h.

Referenced by getInstance(), LV2Features(), and operator=().

## LV2Features() [2/2]

gx_engine::LV2Features::LV2Features | ( | LV2Features const & |  | ) |

delete

## Member Function Documentation

## getInstance()

LV2Features & gx_engine::LV2Features::getInstance | ( |  | ) |

inline static

Definition at line 689 of file gx_internal_plugins.h.

## lv2_uri_to_id()

uint32_t gx_engine::LV2Features::lv2_uri_to_id | ( | LV2_URI_Map_Callback_Data | handle,
|  | const char * | ,
|  | const char * | uri )

static private

## lv2_urid_map()

LV2_URID gx_engine::LV2Features::lv2_urid_map | ( | LV2_URID_Map_Handle | ,
|  | const char *const | uri_ )

static private

## lv2_urid_unmap()

const char * gx_engine::LV2Features::lv2_urid_unmap | ( | LV2_URID_Unmap_Handle | ,
|  | const LV2_URID | urid )

static private

## operator=()

void gx_engine::LV2Features::operator= | ( | LV2Features const & |  | ) |

delete

## Member Data Documentation

## gx_features

LV2_Feature* gx_engine::LV2Features::gx_features[]

static

Definition at line 694 of file gx_internal_plugins.h.

## gx_options

LV2_Options_Option gx_engine::LV2Features::gx_options[2]

static private

Definition at line 671 of file gx_internal_plugins.h.

## gx_options_feature

LV2_Feature gx_engine::LV2Features::gx_options_feature

static private

Definition at line 672 of file gx_internal_plugins.h.

## gx_uri_map

LV2_URI_Map_Feature gx_engine::LV2Features::gx_uri_map

static private

Definition at line 680 of file gx_internal_plugins.h.

## gx_uri_map_feature

LV2_Feature gx_engine::LV2Features::gx_uri_map_feature

static private

Definition at line 681 of file gx_internal_plugins.h.

## gx_urid_map

LV2_URID_Map gx_engine::LV2Features::gx_urid_map

static

Definition at line 695 of file gx_internal_plugins.h.

## gx_urid_map_feature

LV2_Feature gx_engine::LV2Features::gx_urid_map_feature

static private

Definition at line 675 of file gx_internal_plugins.h.

## gx_urid_unmap

LV2_URID_Unmap gx_engine::LV2Features::gx_urid_unmap

static

Definition at line 696 of file gx_internal_plugins.h.

## gx_urid_unmap_feature

LV2_Feature gx_engine::LV2Features::gx_urid_unmap_feature

static private

Definition at line 685 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h